#pragma once
#include <map>
struct M_ActivityMonsterItemCFGData
{
	//编号
	int mId;
	//道具名称
	std::string mItemName;
	//品阶
	int mGrade;
	//道具ID
	int mItemId;
	//最小伤害
	int mHurtMin;
	//最大伤害
	int mHurtMax;
};

class M_ActivityMonsterItemCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterItemCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterItemCFGData* GetData(int Id);
	const std::map<int, M_ActivityMonsterItemCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMonsterItemCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMonsterItemCFGData> mMapData;
};
